MARKETING CLOUD PLATFORM API
=======================


CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Service functions
 * Requirements
 * Installation
 * Configuration


INTRODUCTION
------------

This module enables the platform API in the Marketing Cloud as a service.

For details on individual API calls and the Marketing Cloud REST API, please
visit
https://developer.salesforce.com/docs/atlas.en-us.noversion.mc-apis.meta/mc-apis/routes.htm


SERVICE FUNCTIONS
-----------------

| Name              | Function                   |
| ----------------- | -------------------------- |
| Get endpoints     | getEndpoints()             |
| Get token context | getTokenContext()          |
| Get endpoint      | getEndpoint($endpointType) |


REQUIREMENTS
------------

 * marketing_cloud


INSTALLATION
------------

Please see marketing_cloud README.md


CONFIGURATION
-------------

Please see marketing_cloud README.md for general configuration.

This module will add a tab to admin > config > marketing cloud. here you can
edit the individual rest call definitions.
